Subject: [Ltru] matching and lists...

From: "Addison Phillips" <[email-masked]>
Date: Fri, 7 Oct 2005 14:28:58 -0700

All:

Mark and I spent some time off-list talking about the recent thread about lists of language tags. As a result of this discussion, I want to propose a shift in the matching document to accommodate what Mark was talking about.

The problem, in a nutshell, was that if you have a list of language ranges, the way you do lookup-style matching varies from what was in drafts zero through four: you want to start doing fall back on the next language range in the sequence before returning the default content (or having the match fail).

It strikes me that there is no reason not to describe this behavior directly in the lookup schemes! If one does not have a list (i.e. the list has exactly one item), then the scheme works as described in the current draft.

Therefore, I have modified the editor's copy of draft-05 to include some suggested about prioritized lists of language ranges, as well as the suggested modifications to the various matching schemes that result for introducing this idea.

These are posted on the Inter-Locale site:

http://www.inter-locale.com/ID/draft-ietf-ltru-matching-05.xml
http://www.inter-locale.com/ID/draft-ietf-ltru-matching-05.html
http://www.inter-locale.com/ID/draft-ietf-ltru-matching-05.txt

A diff also exists:

http://www.inter-locale.com/ID/draft-matching-04-05-diff.html

Comments?

Addison

Addison P. Phillips
Globalization Architect, Quest Software
http://www.quest.com

Chair, W3C Internationalization Core Working Group
http://www.w3.org/International

Internationalization is not a feature.
It is an architecture. 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru